description

# StructPointer<T extends Struct> extension Null safety

Extension on Pointer specialized for the type argument Struct.

on
  - Pointer<T>

## Properties

ref → T
  Creates a reference to access the fields of this struct backed by native memory at `address`. [...]
  read-only

## Operators

operator [](int index) → T
  Creates a reference to access the fields of this struct backed by native memory at `address + sizeOf<T>() * index`. [...]